Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGPaint.AbstractModificationHandler

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGPaint.AbstractModificationHandler

All Implemented Interfaces:
  CSSOMSVGColor.ModificationHandler, CSSOMSVGPaint.PaintModificationHandler

Enclosing class:
  CSSOMSVGPaint

public abstract class CSSOMSVGPaint.AbstractModificationHandler
extends java.lang.Object
implements CSSOMSVGPaint.PaintModificationHandler

Provides an abstract implementation of a PaintModificationHandler.

Constructor Summary
`CSSOMSVGPaint.AbstractModificationHandler()`

Method Summary
`void` | `blueFloatValueChanged(short unit, float value)` Called when the blue float value has changed.
`void` | `blueTextChanged(java.lang.String text)` Called when the blue value text has changed.
`void` | `colorAppend(float f)` Called when the ICC color has been append.
`void` | `colorChanged(short type, java.lang.String rgb, java.lang.String icc)` Called when the SVGColor has changed.
`void` | `colorInsertedBefore(float f, int idx)` Called when the ICC color has been inserted.
`void` | `colorProfileChanged(java.lang.String cp)` Called when the ICC color profile has changed.
`void` | `colorRemoved(int idx)` Called when the ICC color has been removed.
`void` | `colorReplaced(float f, int idx)` Called when the ICC color has been replaced.
`void` | `colorsCleared()` Called when the ICC colors has changed.
`void` | `colorsInitialized(float f)` Called when the ICC colors has been initialized.
`protected abstract Value` | `getValue()` Returns the associated value.
`void` | `greenFloatValueChanged(short unit, float value)` Called when the green float value has changed.
`void` | `greenTextChanged(java.lang.String text)` Called when the green value text has changed.
`void` | `paintChanged(short type, java.lang.String uri, java.lang.String rgb, java.lang.String icc)` Called when the paint value has beem modified.
`void` | `redFloatValueChanged(short unit, float value)` Called when the red float value has changed.
`void` | `redTextChanged(java.lang.String text)` Called when the red value text has changed.
`void` | `rgbColorChanged(java.lang.String text)` Called when the RGBColor text has changed.
`void` | `rgbColorICCColorChanged(java.lang.String rgb, java.lang.String icc)` Called when the RGBColor and the ICCColor text has changed.
`void` | `uriChanged(java.lang.String uri)` Called when the URI has been modified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.dom.CSSOMSVGColor.ModificationHandler
`textChanged`

Constructor Detail

### CSSOMSVGPaint.AbstractModificationHandler

    public CSSOMSVGPaint.AbstractModificationHandler()

Method Detail

### getValue

    protected abstract Value getValue()

  Returns the associated value.

### redTextChanged

    public void redTextChanged(java.lang.String text)
                        throws org.w3c.dom.DOMException

  Called when the red value text has changed.

  Specified by:
    `redTextChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### redFloatValueChanged

    public void redFloatValueChanged(short unit,
                                     float value)
                              throws org.w3c.dom.DOMException

  Called when the red float value has changed.

  Specified by:
    `redFloatValueChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### greenTextChanged

    public void greenTextChanged(java.lang.String text)
                          throws org.w3c.dom.DOMException

  Called when the green value text has changed.

  Specified by:
    `greenTextChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### greenFloatValueChanged

    public void greenFloatValueChanged(short unit,
                                       float value)
                                throws org.w3c.dom.DOMException

  Called when the green float value has changed.

  Specified by:
    `greenFloatValueChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### blueTextChanged

    public void blueTextChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the blue value text has changed.

  Specified by:
    `blueTextChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### blueFloatValueChanged

    public void blueFloatValueChanged(short unit,
                                      float value)
                               throws org.w3c.dom.DOMException

  Called when the blue float value has changed.

  Specified by:
    `blueFloatValueChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### rgbColorChanged

    public void rgbColorChanged(java.lang.String text)
                         throws org.w3c.dom.DOMException

  Called when the RGBColor text has changed.

  Specified by:
    `rgbColorChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### rgbColorICCColorChanged

    public void rgbColorICCColorChanged(java.lang.String rgb,
                                        java.lang.String icc)
                                 throws org.w3c.dom.DOMException

  Called when the RGBColor and the ICCColor text has changed.

  Specified by:
    `rgbColorICCColorChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorChanged

    public void colorChanged(short type,
                             java.lang.String rgb,
                             java.lang.String icc)
                      throws org.w3c.dom.DOMException

  Called when the SVGColor has changed.

  Specified by:
    `colorChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorProfileChanged

    public void colorProfileChanged(java.lang.String cp)
                             throws org.w3c.dom.DOMException

  Called when the ICC color profile has changed.

  Specified by:
    `colorProfileChanged` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorsCleared

    public void colorsCleared()
                       throws org.w3c.dom.DOMException

  Called when the ICC colors has changed.

  Specified by:
    `colorsCleared` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorsInitialized

    public void colorsInitialized(float f)
                           throws org.w3c.dom.DOMException

  Called when the ICC colors has been initialized.

  Specified by:
    `colorsInitialized` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorInsertedBefore

    public void colorInsertedBefore(float f,
                                    int idx)
                             throws org.w3c.dom.DOMException

  Called when the ICC color has been inserted.

  Specified by:
    `colorInsertedBefore` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorReplaced

    public void colorReplaced(float f,
                              int idx)
                       throws org.w3c.dom.DOMException

  Called when the ICC color has been replaced.

  Specified by:
    `colorReplaced` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorRemoved

    public void colorRemoved(int idx)
                      throws org.w3c.dom.DOMException

  Called when the ICC color has been removed.

  Specified by:
    `colorRemoved` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### colorAppend

    public void colorAppend(float f)
                     throws org.w3c.dom.DOMException

  Called when the ICC color has been append.

  Specified by:
    `colorAppend` in interface `CSSOMSVGColor.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### uriChanged

    public void uriChanged(java.lang.String uri)

  Called when the URI has been modified.

  Specified by:
    `uriChanged` in interface `CSSOMSVGPaint.PaintModificationHandler`

### paintChanged

    public void paintChanged(short type,
                             java.lang.String uri,
                             java.lang.String rgb,
                             java.lang.String icc)

  Called when the paint value has beem modified.

  Specified by:
    `paintChanged` in interface `CSSOMSVGPaint.PaintModificationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.